Mail archive
alpine-devel

[alpine-devel] [PATCH 12/25] testing/mate-notification-daemon: fix build function and deps

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 19 Dec 2014 10:26:18 +0000

---
 testing/mate-notification-daemon/APKBUILD | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)
diff --git a/testing/mate-notification-daemon/APKBUILD b/testing/mate-notification-daemon/APKBUILD
index ce25b46..f842584 100644
--- a/testing/mate-notification-daemon/APKBUILD
+++ b/testing/mate-notification-daemon/APKBUILD
_at_@ -2,15 +2,15 @@
 # Maintainer:
 pkgname=mate-notification-daemon
 pkgver=1.9.1
-pkgrel=0
+pkgrel=1
 pkgdesc="Small, passive popup dialogs that notify the user of particular events"
 url="https://github.com/mate-desktop/mate-notification-daemon"
 arch="all"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev libwnck-dev libnotify-dev autoconf automake libtool
-	intltool glib-dev startup-notification-dev dbus-glib-dev libcanberra-dev"
+makedepends="$depends_dev libwnck-dev libnotify-dev libtool intltool dbus-glib-dev
+	libcanberra-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
_at_@ -28,7 +28,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 10:26:18 GMT